@namespace bf "http://id.loc.gov/ontologies/bibframe/";
@namespace dc "http://purl.org/dc/elements/1.1/";
@namespace exml "https://sub.uni-goettingen.de/met/standards/entity-xml#";
@namespace gndo "https://d-nb.info/standards/elementset/gnd#";
@namespace mml "http://www.w3.org/1998/Math/MathML";
@namespace oxy "http://www.oxygenxml.com/extensions/author";
@namespace svg "http://www.w3.org/2000/svg";
@namespace xi "http://www.w3.org/2001/XInclude";
@namespace xlink "http://www.w3.org/1999/xlink";
@namespace xml "http://www.w3.org/XML/1998/namespace";


/*   ###############################################   */
/* #################  COLOR Schema  ################## */
/*   ###############################################   */
:root {
    background:#EFF1F3;
}

entityXML > project > title,
entityXML > collection > metadata > title {
    background: #223843;
    color: #EFF1F3;
    border-bottom: 5px solid #587D71;
}

entityXML > project,
entityXML > collection > metadata {
    background: #DBD3D8;
    border-color: #D8B4A0;
}

collection > metadata > provider::before(10),
collection > metadata > agency::before(10) {
    background: #587D71;
    color: #EFF1F3;
}

project respStmt,
collection > metadata respStmt {
    border-color: #587D71;
}

project respStmt > resp,
collection > metadata respStmt > resp {
    background: #2E3532;
    color: #EFF1F3;
}

/*---------------{ RECORDS COLOR Schema }---------------*/
data > list > *:not(title):not(abstract):not(oxy|comment),
data > list > *:not(title):not(abstract):not(oxy|comment)::before(100) {
    border-color: #223843;
    background: #223843;
}

data > list > *:not(title):not(abstract):not(oxy|comment) {
    background:  rgb(180, 212, 228);
}


/*++++++++++++++++{  Entity Records  }++++++++++++++++++*/
entity,
entity::before(100) {
    border-color: #2E3532 !important;
    background: #2E3532 !important;
}

entity {
    background:  #D2D4C8 !important;
}


/*++++++++++++++++{  Person Records  }++++++++++++++++++*/
person,
person::before(100) {
    border-color: #3D52D5 !important;
    background: #3D52D5 !important;
}

person {
    background: #cbd3e4 !important;
}


/*++++++++++++++++{  Corporate Body Records  }++++++++++++++++++*/
corporateBody,
corporateBody::before(100) {
    border-color: #102B3F !important;
    background: #102B3F !important;
}

corporateBody {
    background: #E2CFEA !important;
}


/*++++++++++++++++{  Place Records  }++++++++++++++++++*/
exml|place,
exml|place::before(100) {
    border-color: #D77A61 !important;
    background: #D77A61 !important;
}

exml|place {
    background:  rgb(243, 211, 203) !important;
}


/*++++++++++++++++{  Work Records  }++++++++++++++++++*/
work,
work::before(100) {
    border-color: #820263 !important;
    background: #820263 !important;
}

work {
    background:  #EADEDA !important;
}



/*   ################################################################   */
/* #################  STRUCTURE: General Components  ################## */
/*   ################################################################   */
entityXML{
    /* font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif; */
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1em;
}

/* oxy|comment {
    display:none !important;
} */

change,
abstract {
    line-height: 1.5em;
}


/* #################{  BOXING  }##################*/
entityXML > collection,
entityXML > project {
    display: block;
}

project,
collection > metadata {
    padding: 0px 20px;
    display: block;
    border-bottom: 4px solid gray;
}

project {
    margin-bottom: 0px;
}

collection > metadata {
    margin-bottom: 40px;
}

project > *,
collection > metadata > * {
    display: block;
    margin-bottom: 1.5em;
}

project > title,
collection > metadata > title {
    margin-left: -20px !important;
    margin-right: -20px !important;
    /* margin-bottom: 0.8em; */
    padding: 20px 20px;
    font-size: 2em;
}

collection > metadata > provider,
collection > metadata > agency  {
    font-size: 1em;
    padding: 20px 20px;
    margin-bottom: 0px;
    margin-left: -20px !important;
    margin-right: -20px !important;
}

collection > metadata > provider::before(10),
collection > metadata > agency::before(10), 
collection > metadata > provider > title,
collection > metadata > agency > title {
    font-size: 1.4em;
    line-height: 1.4em;
    padding: 5px 10px;
}

collection > metadata > provider::before(10),
collection > metadata > agency::before(10) {
    content: oxy_xpath("name()");
}

collection > metadata > provider::before(10) {
    content: "Provider";
}

collection > metadata > agency::before(10) {
    content: "Agentur";
}

collection > metadata > provider > title,
collection > metadata > agency > title {
    -oxy-display-tags: none;
}

collection > metadata > provider > title::after {
    content: oxy_xpath(" '('||parent::provider/@id||')' ");
    margin-left: 0.5em;
    color:rgb(104, 104, 104);
}

collection > metadata > agency > title::after {
    content: oxy_xpath(" '('||parent::agency/@isil||')' ");
    margin-left: 0.5em;
    color:rgb(104, 104, 104);
}

abstract,
collection > metadata > provider abstract,
collection > metadata > agency abstract {
    display: block;
    margin-top: 0.8em;
    margin-bottom: 1em;
    /* border-left: 3px solid #05386b;
    padding-left: 10px; */
}


/*#####################{  Statement of Responsibility  }###################*/
project respStmt,
collection > metadata respStmt {
    display: block;
    font-size: 1em;
    padding: 1em 0em;
}

project respStmt:not(:last-of-type),
collection > metadata respStmt:not(:last-of-type) {
    border-bottom: 1px solid;
}

respStmt:focus::before(100) {
    display: block;
    font-style: normal;
    content:
        oxy_textfield(
            edit, "@id",
            columns, 5,
            fontInherit, true
        );
}

project respStmt > resp,
collection > metadata respStmt > resp {
    /* margin-left: -2em; */
    font-weight: 600;
    -oxy-display-tags: none;
}

project respStmt > resp,
collection > metadata respStmt > resp,
respStmt > name {
    line-height: 1.5em;
    padding: 0.2em 0.5em;
}

respStmt > name {
    font-style: italic;
    -oxy-display-tags: none;
}

respStmt > name::after {
    font-style: normal;
    content: oxy_xpath(" '('||parent::respStmt/@id||')' ");
    margin-left: 0.5em;
}

respStmt:focus > name::after {
    display: none;
}

project respStmt > contact,
collection > metadata respStmt > contact {
    margin-top: 0.5em;
    display: block;
    font-size: 1em;
    padding: 0 0em;
}

project respStmt > contact > *,
collection > metadata respStmt > contact > * {
    display: block;
}

project respStmt > contact mail:before,
collection > metadata respStmt > contact mail:before {
    content: "<";
}

project respStmt > contact mail:after,
collection > metadata respStmt > contact mail:after {
    content: ">";
}


/*#####################{  Revision Desciption  }#####################*/

revision {
    display: block;
    margin-top: 20px;
    padding: 5px 10px;
    font-size: 1em;
}

revision {
    background: #fff;
    border: 2px solid #ffffff;
    /* -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px; */
}

revision:before(6),
revision:before(5) {
    color: rgb(104, 104, 104);
    font-style: normal !important;
    font-weight: bold;
    text-decoration: none !important;
}

revision:before(6) {
    content: "Bearbeitungsstand ";
    /* margin-right: 10px; */
}

revision:before(5) {
    content: oxy_xpath("'('||@status||')'");
    font-weight: normal;
}


revision change{
    display: block;
}

revision change:first-child {
    margin-top: 10px;
}

revision change::before(6),
revision change::before(5),
revision change::before(4),
revision change::before(3),
revision change::before(2),
revision change::before {
    font-weight: 100;
    font-style: normal;
}

revision change::before(6){
    content: oxy_xpath("@when");
    margin-right: 10px;
}

revision change::before(5){
    content: oxy_xpath("'('||@who||')'");
    margin-right: 10px;
}

revision change::before(4){
    content: oxy_xpath("@status");
}

revision change::before{
    content: ":";
    margin-right: 10px;
}

/**{  revision default color schema  }**/

revision change {
    color: #000;
}

revision[status="opened"]{
    background: #e9ecef;
    border-color: #adb5bd ;
}

revision[status="opened"]:before(6),
revision[status="opened"]:before(5),
revision[status="opened"] change:before(6),
revision[status="opened"] change:before(5),
revision[status="opened"] change:before(4)  {
    color: #495057;
}


revision[status="staged"]{
    background: #fff3cd;
    border-color: #ffc107;
}

revision[status="staged"]:before(6),
revision[status="staged"]:before(5),
revision[status="staged"] change:before(6),
revision[status="staged"] change:before(5),
revision[status="staged"] change:before(4)  {
    color: #664d03;
}


revision[status="closed"]{
    background: #d1e7dd;
    border-color: #198754 ;
}

revision[status="closed"]:before(6),
revision[status="closed"]:before(5),
revision[status="closed"] change:before(6),
revision[status="closed"] change:before(5),
revision[status="closed"] change:before(4)  {
    color: #0f5132;
}



/*###################{  Entity Lists  }###################*/
data > list {
    display: block;
    padding: 20px;
    margin-bottom: 20px;
    font-style: normal;
}

data > list::before(3),
data > list::before(2),
data > list::before(1) {
    font-size: 1.5em;
    line-height: 1.5em;
}

data > list::before(3) {
    font-weight: bold;
    content: oxy_xpath("'List #' || count(preceding::list)+1 ");
}

data > list::before(2) {
    content: oxy_xpath("' ('||count(./element()[not(self::title or self::abstract)]) || ' Entities)'");
}

data > list > title{
    display: block;
    font-weight: bold;
    font-size: 1.3em;
    margin: 10px 0px;
}

data > list > abstract{
    display: block;
    font-weight: normal;
    font-size: 1em;
    margin-bottom: 30px;
}



/* #####################{  RECORDS  }##################### */

data > list > *:not(title):not(abstract):not(oxy|comment) {
    line-height: 1.5em;
}

data > list > *:not(title):not(abstract):not(oxy|comment) {
    display: block;
    margin-bottom: 4em;
    padding: 10px 10px 20px 10px;
    background:  #cfe2ff;
    border-top: 4px solid;
    border-bottom: 4px solid;
    border-color: #223843;
}

data > list > *:not(title):not(abstract):not(oxy|comment):has(revision) {
    padding: 10px 10px 10px 10px;
}

data > list > *:not(title):not(abstract):not(oxy|comment)::before(100) {
    background: #223843;
    border: 1px solid;
    border-color: #223843;
    color: #fff;
    font-weight: 700;
    font-size: 1.2em;
    padding: 0 15px;
}


/************{  Record Headers (::befors)  }*************/
data > list > *:not(title):not(abstract):not(oxy|comment)::before(100) {
    content: 
        oxy_xpath('upper-case(name())');
    display: inline;
    position: relative;
    top: -13px;
}

/*---------{  Area I: After Type 99-91  }---------*/

data > list > *:not(title):not(abstract):not(oxy|comment)::before(90){
    display: block;
    content: "";
    margin-bottom:0px;
    line-height: 0px;
}

/*---------{  Area II: Formfields 10-0  }---------*/
data > list > *:not(title):not(abstract):not(oxy|comment)::before(9) {
    display: block;
    content:
        oxy_label( text, " Record ID", styles, "width: 8%; font-weight: 100; background: rgba(255, 255, 255, 0.534);")
        " "
        oxy_textfield( edit, "@xml:id", columns, 30 );
}

data > list > *:not(title):not(abstract):not(oxy|comment)::before(8) {
    content:
        oxy_label( text, " GND-URI", styles, "width: 8%; font-weight: 100; background: rgba(255, 255, 255, 0.534);")
        " "
        oxy_textfield( edit, "@gndo:uri", columns, 30 );     
}

data > list > *:not(title):not(abstract):not(oxy|comment):not([gndo|uri])::before(8) {
    content:
        oxy_label( text, " GND-URI", styles, "width: 8%; color: gray; font-weight: 100; background: rgba(255, 255, 255, 0.534);")
        " "
        oxy_textfield( edit, "@gndo:uri", columns, 30 );     
}

data > list > *:not(title):not(abstract):not(oxy|comment)[gndo|uri]::before(7) {
    content: "\2197 GND";
    link: oxy_xpath('./@gndo:uri');
    margin-left: 5px;
}

data > list > *:not(title):not(abstract):not(oxy|comment)[gndo|uri]::before(6) {
    content: "\2197 LOBID";
    link: oxy_xpath(" 'https://lobid.org/gnd/'||substring-after(./@gndo:uri, 'gnd/' ) ");
    margin-left: 5px;
}

data > list > *:not(title):not(abstract):not(oxy|comment)::before(5) {
    display: block;
    content:
        oxy_label( text, " Subtype", styles, "width: 8%; font-weight: 100; background: rgba(255, 255, 255, 0.534);")
        " "
        oxy_popup( edit, "@gndo:type", editorSort, "ascending", selectionMode, "single", color, "inherit")
        " "
        oxy_button(action oxy_action(
                name, 'x',
                description, 'Wert löschen',
                operation, 'ChangeAttributeOperation',
                arg-elementLocation, '',
                arg-name, 'type',
                arg-namespace, 'https://d-nb.info/standards/elementset/gnd#',
                arg-value, '',
                arg-removeIfEmpty, true),
            transparent, "true",
            fontInherit, "false");
}

data > list > *:not(title):not(abstract):not(oxy|comment):not([gndo|type])::before(5) {
    display: block;
    content:
        oxy_label( text, " Subtype", styles, "width: 8%; color: gray; font-weight: 100; background: rgba(255, 255, 255, 0.534);")
        " "
        oxy_popup( edit, "@gndo:type" );
}

data > list > *:not(title):not(abstract):not(oxy|comment)::before(4) {
    display: block;
    content:
        oxy_label( text, " Agenturmodus", styles, "width: 8%; font-weight: 100; background: rgba(255, 255, 255, 0.534);")
        " "
        oxy_popup( edit, "@agency", color, "inherit" )
        " "
        oxy_button(action oxy_action(
                name, 'x',
                description, 'Wert löschen',
                operation, 'ChangeAttributeOperation',
                arg-elementLocation, '',
                arg-name, 'agency',
                arg-value, '',
                arg-removeIfEmpty, true),
            transparent, "true",
            fontInherit, "false");
}

data > list > *:not(title):not(abstract):not(oxy|comment):not([agency])::before(4) {
    display: block;
    content:
        oxy_label( text, " Agenturmodus", styles, "width: 8%; color: gray; font-weight: 100; background: rgba(255, 255, 255, 0.534);")
        " "
        oxy_popup( edit, "@agency" );
}

data > list > *:not(title):not(abstract):not(oxy|comment)::before(0){
    display: block;
    content: "";
    margin-bottom: 20px;
    padding-bottom:10px;
    line-height: 0px;
    border-bottom:  1px dotted rgb(104, 104, 104);
}

/************{  Record Footers (::afters)  }*************/
/* data > list > *:not(title):not(abstract):not(oxy|comment):not([gndo|uri])::after {
    content: oxy_textfield(edit, "@gndo:uri", columns, 30);
} */

/* data > list > *:not(title):not(abstract):not(oxy|comment)::after {
    bottom: -20px;
} */

/* data > list > *:not(title):not(abstract):not(oxy|comment)[gndo|uri]::after {
    content: oxy_textfield(edit, "@gndo:uri"); 
    background: #d1e7dd;
    link: oxy_xpath('./@gndo:uri');
} */



/* #####################{--------------}##################### */
/* #####################{  Properties  }##################### */

/*++++++++++++++++{  LINK Properties  }++++++++++++++++++*/
dublicateGndIdentifier,
mail, 
gndIdentifier,
page, 
sameAs,
ref,
placeOfBirth[gndo|uri], 
placeOfDeath[gndo|uri], 
placeOfActivity[gndo|uri],
firstAuthor[gndo|uri]
{
    text-decoration: underline;
    color: #00417e;
}

mail{
    link: oxy_concat("mailto:", oxy_xpath("./text()"));
}

dublicateGndIdentifier::before,
dublicateGndIdentifier::after {
    content: oxy_concat("*");
    color: brown;
}

dublicateGndIdentifier {
    color: brown !important;
    font-style: italic;
}

gndIdentifier,
dublicateGndIdentifier {
    link: oxy_concat( "https://d-nb.info/gnd/", oxy_xpath('./text()') );
}

page, sameAs {
    link: oxy_xpath("./text()");
}

ref {
    link: oxy_xpath(" if (.[@target]) then ( data(@target) ) else (./text())");
}



/*++++++++++++++++{  General Properties  }++++++++++++++++++*/
dc|title,
bf|title {
    font-weight: 600;
}

gndo|publication {
    font-style: italic;
}

gndo|publication:before,
gndo|publication:after {
    content: "\"";
}


/*++++++++++++++++{  Person Properties  }++++++++++++++++++*/
gndo|preferredName {
    font-weight: 600;
}

gndo|variantName {
    font-style: italic;
}

gndo|prefix::before, 
gndo|prefix::after{
    content:"¬"
}

gndo|placeOfBirth[gndo|uri], 
gndo|placeOfDeath[gndo|uri], 
gndo|placeOfActivity[gndo|uri] {
    link: oxy_xpath("./@gndo:uri");
}


/*++++++++++++++++{  Work Properties  }++++++++++++++++++*/
gndo|firstAuthor {
    font-weight: 600;
    font-style: italic;
    /* display: block; */
}

firstAuthor[gndo|uri] {
    link: oxy_xpath("./@gndo:uri");
}
